# Git 提交规范

::: details 目录
[[toc]]
:::

## 提交格式

```shell script
<type>(<scope>): <subject>
```
`subject` 是对变更的简要描述。

`scope` 改动涉及的区域范围，范围可以是指定提交更改位置的任何东西。例如$location， $browser， $compile， $rootScope, ngHref, ngClick, ngView等等。

`type` 则定义了此次变更的类型，只能使用下面几种类型:

* `feat` 增加新功能
* `fix` 修复问题/BUG(该bug若有编号，eg：#3055，带入当前编号)
* `style` 代码风格相关无影响运行结果的
* `perf` 优化/性能提升
* `refactor` 重构
* `revert` 撤销修改
* `test` 测试相关
* `docs` 文档/注释
* `chore` 依赖更新/脚手架配置修改等
* `workflow` 工作流改进
* `ci` 持续集成
* `types` 类型定义文件更改
* `wip` 开发中

```shell script
feat(compiler): 添加平面图编辑器的绘制和点选

fix(v-model): 处理失焦事件

fix(v-model): close #3055 ，平面图编辑器备注

perf(core): 通过删除'foo'改善虚拟dom存在的差异

```
